Disfonctionnement vlc et Amarok sur Suse 11.0 [Résolu/Fermé]

Signaler
Messages postés
89
Date d'inscription
samedi 30 octobre 2004
Statut
Membre
Dernière intervention
6 avril 2014
-
 fredorigolo78 -
Bonjour,
j'ai installé opensuse 11.0 et voici ce qu'il se passe:
à l'ouverture du mplayer l'ecran s'eteint et se rallume par periode de 2 à 3 secondes,et le probleme persiste parfois aprés fermeture des lecteurs.pour vlc c'est pareil sauf qu'il faut quand même attendre que la video demarre.

quant à Amarock, tout ce que j'en tire c'est le defilement rapide de tous les titres dans l'OSD.

je precise que je n'ai jamais eu ces problemes avec la 10.2 et la 10.3
Si quelqu'un a une idée de ce qui pourrait se passer dans un des cas, ça m'aiderait bien.
merci d'avance.

11 réponses

Messages postés
29255
Date d'inscription
jeudi 12 mai 2005
Statut
Modérateur
Dernière intervention
8 juillet 2020
6 886
Ce serait bien d'ouvrir un sujet par problème. Pour amarok cette réaction est classique si tu n'as pas installé de moteur pour décoder la musique genre libxine1-ffmpeg pour les mp3, amarok-engine-xine, ou libmpcdec3 pour les mpc. Passe simplement par ton gestionnaire de paquet.

Est-ce que tu peux me dire si ça résout le problème pour amarok et si c'est le cas on passera ensuite à mplayer.

Bonne chance
Messages postés
89
Date d'inscription
samedi 30 octobre 2004
Statut
Membre
Dernière intervention
6 avril 2014
1
bonjour
dans le panneau de configuration , il y a 1 et 1 seul moteur selectionné : GStreamer/Yauap
dans la 10.2 et 3 c'etait xine.
je n'ai pas trouvé , avec mon gest. de paquets ce que tu m'a indiqué.
j'ai trouvé un libxine1 tout court, mais il y a , aprés cochage , il y a un message de conflit avec xine-lib
voila!
Messages postés
29255
Date d'inscription
jeudi 12 mai 2005
Statut
Modérateur
Dernière intervention
8 juillet 2020
6 886
Alors là je ne peux guère t'en dire plus, car je t'ai donné les noms de paquets sous debian/ubuntu (ne connaissant pas suse), donc dans ton cas il va falloir adapter. Regarde ce que tu trouves en ffmpeg également.

Voici les moteurs qui sont installés chez moi (note : dpkg est spécifique debian) :
(mando@aldur) (~) $ dpkg -l | egrep "(xine|gstreamer|ffmpeg)" | cut -d' ' -f3
amarok-engine-xine
gstreamer0.10-alsa
gstreamer0.10-ffmpeg
gstreamer0.10-fluendo-mp3
gstreamer0.10-gnomevfs
gstreamer0.10-plugins-base
gstreamer0.10-plugins-good
gstreamer0.10-plugins-ugly
gstreamer0.10-x
libavcodec1d
libavformat1d
libavformat52
libavutil1d
libgstreamer-plugins-base0.10-0
libgstreamer0.10-0
libpostproc1d
libxine1
libxine1-bin
libxine1-console
libxine1-ffmpeg
libxine1-misc-plugins
libxine1-plugins
libxine1-x
libxinerama1

Bonne chance
Messages postés
89
Date d'inscription
samedi 30 octobre 2004
Statut
Membre
Dernière intervention
6 avril 2014
1
alors, je n'ai pas pu tout trouver et j'ai donc installer ce que j'ai pu, ça ne donne rien pour amarok,
mais bonne nouvelle ,libxine1 remplacant xine-lib(fourni par suse), permet de lire un DVD avec dragonplayer et KAFEINE, en attendant de trouver la solution pou vlc, c'est pas si mal
merci de ton aide
Messages postés
29255
Date d'inscription
jeudi 12 mai 2005
Statut
Modérateur
Dernière intervention
8 juillet 2020
6 886
Pour amarok, quel type de fichiers cherches-tu à lire ? Personnellement dans Configuration > Configurer Amarok > Moteur > Système de son, j'utilise le moteur xine et tout marche correctement.

Bonne chance
Messages postés
89
Date d'inscription
samedi 30 octobre 2004
Statut
Membre
Dernière intervention
6 avril 2014
1
un simple cd acheté le juste prix, j'ai aucune idée du format.
Moi j'ai systeme de son gstreamer/Yauap et c'est tout.
par contre je suis allé dans > peripherique de media, j'ai fait >ajouter un periherique, donc /media/cdrom, et puis a partir de la deroulante, j'ai mis lecteur audio generique , Par defaut il etait sur 'ne rien gerer'
Et ça marche.
quant on lance les visualisations, ça se passe comme pour vlc, ça s'eteint et ça se rallume.
encore merci
Messages postés
29255
Date d'inscription
jeudi 12 mai 2005
Statut
Modérateur
Dernière intervention
8 juillet 2020
6 886
Est ce que tu arrives à lire ton CD avec kscd ? Et qu'est ce que ça donne avec un autre CD ?
Messages postés
89
Date d'inscription
samedi 30 octobre 2004
Statut
Membre
Dernière intervention
6 avril 2014
1
si je lis un cd avec kafeine, les visualisations n'entrainent pas de coupure
j'essaierai kscd
Messages postés
29255
Date d'inscription
jeudi 12 mai 2005
Statut
Modérateur
Dernière intervention
8 juillet 2020
6 886
Les visualisations ? On parle d'un CD audio ou pas ?
Messages postés
89
Date d'inscription
samedi 30 octobre 2004
Statut
Membre
Dernière intervention
6 avril 2014
1
oui bien sur, je parle du module qui envoie une animation "psychedelique" en cadence avec la musique, comme dans plein d'autres players

sur un autre pc, j'ai desintallé amarok, puis reinstallé a partir de :

http://amarok.kde.org/wiki/Download:SUSE

le gestionnaire a pris le relais, j'ai eu ce message, mais je suis passé outre
les [ ]representent des boutons radios

#### YaST2 conflicts list - generated 2008-09-06 20:27:42 ####

libtunepimp5-mp4-0.5.3-100.pm.9.i586 requiert libtunepimp5 = 0.5.3-100.pm.9, mais cette dépendance ne peut pas être fournie
fournisseurs non installables: libtunepimp5-0.5.3-100.pm.9.i586http://ftp.skynet.be/pub/packman/suse/11.0/
    [ ] Ignorer des dépendances de libtunepimp5-mp4
    [ ] Les actions suivantes seront exécutées:
ne pas installer amarok-1.4.10-100.pm.1.i586
ne pas installer amarok-lang-1.4.10-100.pm.1.i586
ne pas installer amarok-xine-1.4.10-100.pm.1.i586
ne pas installer amarok-yauap-1.4.10-100.pm.1.i586
ne pas installer amarok-libvisual-1.4.10-100.pm.1.i586
ne pas installer amarok-packman-1.4.10-100.pm.1.i586    [ ] installer libtunepimp5-0.5.3-100.pm.9.i586 (avec changement de fournisseur)
  SUSE LINUX Products GmbH, Nuernberg, Germany
-->
  http://packman.links2linux.de

#### YaST2 conflicts list END ###


Maintenant, j'ai le choix entre deux moteurs: XINE et YAUAP(?)

J'ai choisi Xine, et la je n'ai pas eu besoin de faire le reglage cité plus haut, en 6, le peripherique etant déjà selectionné sous la config de xine, ce qui n'etait pas du tout le cas avec yauap
note qu'avec yauap ou yauap/gstreamer, je n'ai pas d'egaliseur
Messages postés
29255
Date d'inscription
jeudi 12 mai 2005
Statut
Modérateur
Dernière intervention
8 juillet 2020
6 886
Alors je ne peux vraiment pas te dire car je ne connais pas trop yast (spécifique à suse). Je peux juste te dire que le paquet que tu tentes d'installer entre en conflit avec des paquets que tu as déjà installé et qu'il va falloir choisir lesquels tu conserves.

Sinon tu peux installer une kubuntu ou une debian à la place de suse et là je pourrai te guider précisément sur les paquets à installer.
Messages postés
89
Date d'inscription
samedi 30 octobre 2004
Statut
Membre
Dernière intervention
6 avril 2014
1
Pour le moment ça à l'air d'aller, j'ecoute les flux radio, les cd passent.
Ce que je ne comprends pas c'est qu' en fait la dependance requise libtunepimp5= 0.5.3-100.pm.9 ,et non installable, est installé. et je crois même qu'elle l'etait déja.

Je m'efforce de ne pas tout demonter et remonter chaque fois que ça coince quelque part; mais un jour je tenterai bien une partition Debian par curiosité et j'aurai surement besoin de tes conseils.
Messages postés
29255
Date d'inscription
jeudi 12 mai 2005
Statut
Modérateur
Dernière intervention
8 juillet 2020
6 886
Pas de problème je ne serai pas loin :-) Je trouve que le gestionnaire de paquet debian (et des distribs qui se basent dessus notamment ubuntu) est mieux fait mais c'est un point de vue strictement personnel ^^ En tout cas je te souhaite beaucoup de plaisir sous linux, quelle que soit la distribution que tu utiliseras au final !

Bonne continuation

Bonjour,
Le paquet qu' il dit ne pas pouvoir installé est sûrement installé chez toi dans une version autre car lorsque tu regarde dans ton gestionnaire de paquets en bas a droite il y a un menu déroulant qui te propose les différentes version disponible et par défaut il te met celle adaptée à ta configuration (i586, x64...)
C' est vrai que c' est la galère au niveau audio, moi je ne comprend rien j' ai le son sous amarok mais pas sous les autres applications (firefox, vlc...) et amarok refuse de lire les cd!
A+